<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lab 5: Исходный файл C:/VVID/Lab3/ui_error.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lab 5
   </div>
   <div id="projectbrief">Проект со строками</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9b007e028ff056209f37c38d42b1bdd5.html">VVID</a></li><li class="navelem"><a class="el" href="dir_d4d190ead145efec63d18fa6e1dbd727.html">Lab3</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ui_error.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/********************************************************************************</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">** Form generated from reading UI file &#39;error.ui&#39;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">**</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">** Created by: Qt User Interface Compiler version 5.12.2</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">**</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">** WARNING! All changes made in this file will be lost when recompiling UI file!</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">********************************************************************************/</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef UI_ERROR_H</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define UI_ERROR_H</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;QtCore/QVariant&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QApplication&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QDialog&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QLabel&gt;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QPushButton&gt;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;QT_BEGIN_NAMESPACE</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="class_ui___error.html">   20</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_ui___error.html">Ui_Error</a></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;{</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    QLabel *label;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    QLabel *errorStr;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    QPushButton *errorButton;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keywordtype">void</span> setupUi(QDialog *<a class="code" href="class_error.html">Error</a>)</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        <span class="keywordflow">if</span> (<a class="code" href="class_error.html">Error</a>-&gt;objectName().isEmpty())</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;            <a class="code" href="class_error.html">Error</a>-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;Error&quot;</span>));</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        <a class="code" href="class_error.html">Error</a>-&gt;resize(400, 300);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        label = <span class="keyword">new</span> QLabel(<a class="code" href="class_error.html">Error</a>);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        label-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;label&quot;</span>));</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        label-&gt;setGeometry(QRect(160, 60, 111, 31));</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        QFont font;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        font.setPointSize(12);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        label-&gt;setFont(font);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        errorStr = <span class="keyword">new</span> QLabel(<a class="code" href="class_error.html">Error</a>);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        errorStr-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;errorStr&quot;</span>));</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        errorStr-&gt;setGeometry(QRect(20, 90, 361, 111));</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        errorStr-&gt;setFont(font);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        errorStr-&gt;setAlignment(Qt::AlignCenter);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        errorButton = <span class="keyword">new</span> QPushButton(<a class="code" href="class_error.html">Error</a>);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        errorButton-&gt;setObjectName(QString::fromUtf8(<span class="stringliteral">&quot;errorButton&quot;</span>));</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        errorButton-&gt;setGeometry(QRect(110, 220, 171, 51));</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        errorButton-&gt;setFont(font);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        retranslateUi(<a class="code" href="class_error.html">Error</a>);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        QMetaObject::connectSlotsByName(<a class="code" href="class_error.html">Error</a>);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    } <span class="comment">// setupUi</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordtype">void</span> retranslateUi(QDialog *<a class="code" href="class_error.html">Error</a>)</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    {</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <a class="code" href="class_error.html">Error</a>-&gt;setWindowTitle(QApplication::translate(<span class="stringliteral">&quot;Error&quot;</span>, <span class="stringliteral">&quot;Dialog&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        label-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;Error&quot;</span>, <span class="stringliteral">&quot;\320\236\321\210\320\270\320\261\320\272\320\260!&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        errorStr-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;Error&quot;</span>, <span class="stringliteral">&quot;\320\236\321\210\320\270\320\261\320\272\320\260!&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        errorButton-&gt;setText(QApplication::translate(<span class="stringliteral">&quot;Error&quot;</span>, <span class="stringliteral">&quot;\320\227\320\260\320\272\321\200\321\213\321\202\321\214&quot;</span>, <span class="keyword">nullptr</span>));</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    } <span class="comment">// retranslateUi</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;};</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="keyword">namespace </span>Ui {</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="class_ui_1_1_error.html">   64</a></span>&#160;    <span class="keyword">class </span><a class="code" href="class_ui_1_1_error.html">Error</a>: <span class="keyword">public</span> <a class="code" href="class_ui___error.html">Ui_Error</a> {};</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;} <span class="comment">// namespace Ui</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;QT_END_NAMESPACE</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#endif // UI_ERROR_H</span></div><div class="ttc" id="class_ui___error_html"><div class="ttname"><a href="class_ui___error.html">Ui_Error</a></div><div class="ttdef"><b>Definition:</b> ui_error.h:20</div></div>
<div class="ttc" id="class_error_html"><div class="ttname"><a href="class_error.html">Error</a></div><div class="ttdef"><b>Definition:</b> error.h:10</div></div>
<div class="ttc" id="class_ui_1_1_error_html"><div class="ttname"><a href="class_ui_1_1_error.html">Ui::Error</a></div><div class="ttdef"><b>Definition:</b> ui_error.h:64</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
